class astrad014::installation::mysql-server {

        exec { "mysql-common install":
                require     => [Exec["add depot"]],
                command     => "apt-get -t lenny-backports install \"mysql-common\"",
                onlyif      => ["test `dpkg -l |grep mysql-common|grep 5.1|wc -l` -eq 0"]
        }

        package {  "mysql-server-5.1":
                ensure      => installed,
                require     => [Exec['aptitude update'],Exec["mysql-common install"]],
                notify      => Exec["Set MySQL root password"]
        }

        service { "mysql":
                ensure  => running,
                enable  => true,
                name    => "mysql",
                require => Package["mysql-server-5.1"]
        }


        exec { "Set MySQL root password":
                subscribe   => Package["mysql-server-5.1"],
                refreshonly => true,
                unless      => "mysqladmin -uroot -p$mysql_root_pass status",
                path        => "/bin:/usr/bin",
                command     => "mysqladmin -uroot password $mysql_root_pass",
                require     => Service["mysql"],
        }
}
